diff --git a/css/pgadmin-base.css b/css/pgadmin-base.css
new file mode 100644
index 0000000..157b04b
--- /dev/null
+++ b/css/pgadmin-base.css
@@ -0,0 +1,308 @@
+h1
+{
+  font-weight: bold;
+  font-size: 150%;
+  border-bottom-style: solid;
+  border-bottom-width: 2px;
+  margin-top: 0px;
+  padding-bottom: 0.5ex;
+  color: #009ace;
+}
+
+h2
+{
+  font-weight: bold;
+  font-size: 120%;
+  padding-bottom: 0.5ex;
+  color: #009ace;
+}
+
+h3
+{
+  font-weight: bold;
+  font-size: 115%;
+  padding-bottom: 0.5ex;
+  color: #009ace;
+}
+
+h4
+{
+  font-size: 105%;
+  padding-bottom: 0.5ex;
+  color: #009ace;
+}
+
+a
+{
+  color: #009ace;
+  font-weight: bold;
+}
+
+a:visited
+{
+  color: #999999;
+  font-weight: bold;
+}
+
+img
+{
+  border-style: none;
+}
+
+body
+{
+  font-size: 90%;
+  font-family: verdana, helvetica, sans-serif;
+  margin: 0;
+  padding: 0;
+}
+
+.pgaCode
+{
+  font-family: "lucida console", monospace;
+  background-color: #eeeeee;
+  padding: 5px;
+}
+
+.pgaBanner
+{
+  background-color: #eeeeee;
+  padding: 5px;
+  text-align: center;
+  font-weight: bold;
+}
+
+.pgaTranslationTable
+{
+  border-style: solid;
+  border-width: 1px;
+  border-color: #999999;
+  border-collapse: collapse;
+}
+
+.pgaTranslationTableHeader
+{
+  font-weight: bold;
+  color: #ffffff;
+  border-color: #999999;
+  border-style: solid;
+  border-width: 1px;
+  background-color: #009ace;
+}
+
+.pgaTranslationTableHeader a
+{
+  color: #ffffff;
+}
+
+.pgaTranslationTableHeader a:visited
+{
+  color: #ffffff;
+}
+
+.pgaTranslationTableCell
+{
+  border-style: solid;
+  border-width: 1px;
+}
+
+#pgaPage
+{
+  margin: 0;
+  padding: 0;
+}
+
+#pgaHeader
+{
+  width: 100%;
+  border-style: none;
+  border-collapse: collapse;
+  border-spacing: 0px;
+  background-color: #009ace;
+}
+
+#pgaMainMenu
+{
+  border-bottom-style: solid;
+  border-bottom-width: 2px;
+  border-color: #999999;
+  color: #999999;
+  font-weight: bold;
+  white-space: nowrap;
+  padding: 2px 0px 0px 0px;
+}
+
+.pgaMainMenuOption
+{
+  display: inline;
+  padding: 1px 16px;
+  border-top: 1px solid #999999;
+  border-right: 1px solid #999999;
+}
+.pgaMainMenuOption:last-child
+{
+  border-top-right-radius: 8px;
+}
+
+a.pgaMainMenuOption
+{
+  text-decoration: none;
+  color: #ffffff;
+}
+a.pgaMainMenuOption:hover
+{
+  background-color: #999999;
+}
+
+a.pgaMainMenuSelection,
+a.pgaMainMenuSelection:hover
+{
+  background-color: #eeeeee;
+  color: #009ace;
+}
+
+#pgaLogo
+{
+  height: 100px;
+  width: 349px;
+  padding: 0px;
+}
+
+#pgaSVN
+{
+  color: #ffffff;
+}
+
+#pgaSVN a
+{
+  color: #ffffff;
+  text-decoration: none;
+}
+
+#pgaSVN a:visited
+{
+  color: #ffffff;
+  text-decoration: none;
+}
+
+#pgaSVN a:hover
+{
+  text-decoration: underline;
+}
+
+#pgaSearch
+{
+  float: right;
+  text-align: right;
+  padding-right: 5px;
+}
+
+#pgaSearch form
+{
+  margin-bottom: 0px;
+}
+
+#pgaLanguages
+{
+  color: #ffffff;
+}
+
+#pgaLanguages form
+{
+  margin-bottom: 0px;
+}
+
+#pgaSectionContent
+{
+  margin-top: 15px;
+  line-height: 1.2;
+  width: 100%;
+}
+
+#pgaSectionMenu
+{
+  vertical-align: top;
+  width: 170px;
+  line-height: 2.0;
+  white-space: nowrap;
+  font-weight: bold;
+  color: #999999;
+}
+
+#pgaSectionMenu a
+{
+  text-decoration: none;
+}
+
+#pgaSectionMenuSelection
+{
+  background-color: #009ace;
+}
+
+#pgaSectionMenuSelection a
+{
+  color: #ffffff;
+}
+
+.pgaSectionMenuOption
+{
+  background-color: #eeeeee;
+}
+
+.pgaSectionMenuOption a
+{
+  display: block;
+  color: #009ace;
+}
+
+.pgaSectionMenuOption a:visited
+{
+  color: #009ace;
+}
+
+.pgaSectionMenuOption a:hover
+{
+  background-color: #999999;
+  color: #eeeeee;
+}
+
+#pgaContent
+{
+  vertical-align: top;
+  padding-left: 15px;
+  padding-right: 15px;
+}
+
+#pgaSVNContent
+{
+  vertical-align: top;
+  padding-left: 10px;
+  padding-right: 10px;
+  align: center;
+}
+
+#pgaAd
+{
+  text-align: center;
+  vertical-align: top;
+  white-space: nowrap;
+  width: 165px;
+}
+
+#pgaFooter
+{
+  padding-right: 5px;
+  font-weight: bold;
+}
+
+#pgaFooter a
+{
+  color: #009ace;
+}
+
+.pgaScreenShotBox
+{
+  width: 300px;
+  height: 300px;
+  float: left;
+}
diff --git a/css/pgadmin-ltr.css b/css/pgadmin-ltr.css
index e3a0c2b..ebc0343 100644
--- a/css/pgadmin-ltr.css
+++ b/css/pgadmin-ltr.css
@@ -1,174 +1,6 @@
-h1
-{
-  font-weight: bold;
-  font-size: 150%;
-  border-bottom-style: solid;
-  border-bottom-width: 2px;
-  margin-top: 0px;
-  padding-bottom: 0.5ex;
-  color: #009ace;
-}
-
-h2
-{
-  font-weight: bold;
-  font-size: 120%;
-  padding-bottom: 0.5ex;
-  color: #009ace;
-}
-
-h3
-{
-  font-weight: bold;
-  font-size: 115%;
-  padding-bottom: 0.5ex;
-  color: #009ace;
-}
-
-h4
-{
-  font-size: 105%;
-  padding-bottom: 0.5ex;
-  color: #009ace;
-}
-
-a
-{
-  color: #009ace;
-  font-weight: bold;
-}
-
-a:visited
-{
-  color: #999999;
-  font-weight: bold;
-}
-
-img
-{
-  border-style: none;
-}
-
 body
 {
-  font-size: 90%;
-  font-family: verdana, helvetica, sans-serif;
-  margin: 0;
-  padding: 0;
-}
-
-.pgaCode
-{
-  font-family: "lucida console", monospace;
-  background-color: #eeeeee;
-  padding: 5px;
-}
-
-.pgaBanner
-{
-  background-color: #eeeeee;
-  padding: 5px;
-  text-align: center;
-  font-weight: bold;
-}
-
-.pgaTranslationTable
-{
-  border-style: solid;
-  border-width: 1px;
-  border-color: #999999;
-  border-collapse: collapse;
-}
-
-.pgaTranslationTableHeader
-{
-  font-weight: bold;
-  color: #ffffff;
-  border-color: #999999;
-  border-style: solid;
-  border-width: 1px;
-  background-color: #009ace;
-}
-
-.pgaTranslationTableHeader a
-{
-  color: #ffffff;
-}
-
-.pgaTranslationTableHeader a:visited
-{
-  color: #ffffff;
-}
-
-.pgaTranslationTableCell
-{
-  border-style: solid;
-  border-width: 1px;
-}
-
-#pgaPage
-{
-  margin: 0;
-  padding: 0;
-}
-
-#pgaHeader
-{
-  width: 100%;
-  border-style: none;
-  border-collapse: collapse;
-  border-spacing: 0px;
-  background-color: #009ace;
-}
-
-#pgaMainMenu
-{
-  padding-left: 5px;
-  padding-right: 5px;
-  padding-top: 2px;
-  padding-bottom: 2px;
-  border-top-style: solid;
-  border-top-width: 1px;
-  border-bottom-style: solid;
-  border-bottom-width: 2px;
-  border-color: #999999;
-  color: #999999;
-  font-weight: bold;
-  white-space: nowrap;
-}
-
-#pgaMainMenu a
-{
-  text-decoration: none;
-  color: #ffffff;
-}
-
-.pgaMainMenuOption
-{
-  display: inline;
-}
-
-.pgaMainMenuOption a:hover
-{
-  background-color: #999999;
-}
-
-#pgaMainMenuSelection
-{
-  display: inline;
-  background-color: #eeeeee;
-}
-
-#pgaMainMenuSelection a
-{
-  color: #009ace;
-}
-
-#pgaLogo
-{
-  height: 100px;
-  width: 349px;
-  padding: 0px;
+  direction: ltr;
 }
 
 #pgaSVN
@@ -176,24 +8,6 @@ body
   float: right;
   text-align: right;
   padding-right: 5px;
-  color: #ffffff;
-}
-
-#pgaSVN a
-{
-  color: #ffffff;
-  text-decoration: none;
-}
-
-#pgaSVN a:visited
-{
-  color: #ffffff;
-  text-decoration: none;
-}
-
-#pgaSVN a:hover
-{
-  text-decoration: underline;
 }
 
 #pgaSearch
@@ -203,112 +17,24 @@ body
   padding-right: 5px;
 }
 
-#pgaSearch form
-{
-  margin-bottom: 0px;
-}
-
 #pgaLanguages
 {
   float: right;
   text-align: right;
   padding-right: 5px;
-  color: #ffffff;
-}
-
-#pgaLanguages form
-{
-  margin-bottom: 0px;
-}
-
-#pgaSectionContent
-{
-  margin-top: 15px;
-  line-height: 1.2; 
-  width: 100%;
 }
 
 #pgaSectionMenu
 {
-  vertical-align: top;
-  width: 170px;
-  line-height: 2.0;
-  white-space: nowrap;
   padding-left: 5px;
-  font-weight: bold;
-  color: #999999;
-}
-
-#pgaSectionMenu a
-{
-  text-decoration: none;
-}
-
-#pgaSectionMenuSelection
-{
-  background-color: #009ace;
-}
-
-#pgaSectionMenuSelection a
-{
-  color: #ffffff;
-}
-
-.pgaSectionMenuOption
-{
-  background-color: #eeeeee;
-}
-
-.pgaSectionMenuOption a
-{
-  display: block;
-  color: #009ace;
-}
-
-.pgaSectionMenuOption a:visited
-{
-  color: #009ace;
-}
-
-.pgaSectionMenuOption a:hover
-{
-  background-color: #999999;
-  color: #eeeeee;
-}
-
-#pgaContent
-{
-  vertical-align: top;
-  padding-left: 15px;
-  padding-right: 15px;
-}
-
-#pgaSVNContent
-{
-  vertical-align: top;
-  padding-left: 10px;
-  padding-right: 10px;
-  align: center;
 }
 
 #pgaAd
 {
-  text-align: center;
-  vertical-align: top;
-  white-space: nowrap;
-  width: 165px;
   padding-right: 5px;
 }
 
 #pgaFooter
 {
   text-align: right;
-  padding-right: 5px;
-  font-weight: bold;
 }
-
-#pgaFooter a
-{
-  color: #009ace;
-}
-
diff --git a/css/pgadmin-rtl.css b/css/pgadmin-rtl.css
index bce1434..bfa5608 100644
--- a/css/pgadmin-rtl.css
+++ b/css/pgadmin-rtl.css
@@ -1,200 +1,13 @@
-h1
-{
-  font-weight: bold;
-  font-size: 150%;
-  border-bottom-style: solid;
-  border-bottom-width: 2px;
-  margin-top: 0px;
-  padding-bottom: 0.5ex;
-  color: #009ace;
-}
-
-h2
-{
-  font-weight: bold;
-  font-size: 120%;
-  padding-bottom: 0.5ex;
-  color: #009ace;
-}
-
-h3
-{
-  font-weight: bold;
-  font-size: 115%;
-  padding-bottom: 0.5ex;
-  color: #009ace;
-}
-
-h4
-{
-  font-size: 105%;
-  padding-bottom: 0.5ex;
-  color: #009ace;
-}
-
-a
-{
-  color: #009ace;
-  font-weight: bold;
-}
-
-a:visited
-{
-  color: #999999;
-  font-weight: bold;
-}
-
-img
-{
-  border-style: none;
-}
-
 body
 {
-  font-size: 90%;
-  font-family: verdana, helvetica, sans-serif;
-  margin: 0;
-  padding: 0;
   direction: rtl;
 }
 
-.pgaCode
-{
-  font-family: "lucida console", monospace;
-  background-color: #eeeeee;
-  padding: 5px;
-}
-
-.pgaBanner
-{
-  background-color: #eeeeee;
-  padding: 5px;
-  text-align: center;
-  font-weight: bold;
-}
-
-.pgaTranslationTable
-{
-  border-style: solid;
-  border-width: 1px;
-  border-color: #999999;
-  border-collapse: collapse;
-}
-
-.pgaTranslationTableHeader
-{
-  font-weight: bold;
-  color: #ffffff;
-  border-color: #999999;
-  border-style: solid;
-  border-width: 1px;
-  background-color: #009ace;
-}
-
-.pgaTranslationTableHeader a
-{
-  color: #ffffff;
-}
-
-.pgaTranslationTableHeader a:visited
-{
-  color: #ffffff;
-}
-
-.pgaTranslationTableCell
-{
-  border-style: solid;
-  border-width: 1px;
-}
-
-#pgaPage
-{
-  margin: 0;
-  padding: 0;
-}
-
-#pgaHeader
-{
-  width: 100%;
-  border-style: none;
-  border-collapse: collapse;
-  border-spacing: 0px;
-  background-color: #009ace;
-}
-
-#pgaMainMenu
-{
-  padding-left: 5px;
-  padding-right: 5px;
-  padding-top: 2px;
-  padding-bottom: 2px;
-  border-top-style: solid;
-  border-top-width: 1px;
-  border-bottom-style: solid;
-  border-bottom-width: 2px;
-  border-color: #999999;
-  color: #999999;
-  font-weight: bold;
-  white-space: nowrap;
-}
-
-#pgaMainMenu a
-{
-  text-decoration: none;
-  color: #ffffff;
-}
-
-.pgaMainMenuOption
-{
-  display: inline;
-}
-
-.pgaMainMenuOption a:hover
-{
-  background-color: #999999;
-}
-
-#pgaMainMenuSelection
-{
-  display: inline;
-  background-color: #eeeeee;
-}
-
-#pgaMainMenuSelection a
-{
-  color: #009ace;
-}
-
-#pgaLogo
-{
-  height: 100px;
-  width: 349px;
-  padding: 0px;
-}
-
 #pgaSVN
 {
   float: left;
   text-align: left;
   padding-left: 5px;
-  color: #ffffff;
-}
-
-#pgaSVN a
-{
-  color: #ffffff;
-  text-decoration: none;
-}
-
-#pgaSVN a:visited
-{
-  color: #ffffff;
-  text-decoration: none;
-}
-
-#pgaSVN a:hover
-{
-  text-decoration: underline;
 }
 
 #pgaSearch
@@ -204,112 +17,24 @@ body
   padding-left: 5px;
 }
 
-#pgaSearch form
-{
-  margin-bottom: 0px;
-}
-
 #pgaLanguages
 {
   float: left;
   text-align: left;
   padding-left: 5px;
-  color: #ffffff;
-}
-
-#pgaLanguages form
-{
-  margin-bottom: 0px;
-}
-
-#pgaSectionContent
-{
-  margin-top: 15px;
-  line-height: 1.2;
-  width: 100%;
 }
 
 #pgaSectionMenu
 {
-  vertical-align: top;
-  width: 170px;
-  line-height: 2.0;
-  white-space: nowrap;
   padding-right: 5px;
-  font-weight: bold;
-  color: #999999;
-}
-
-#pgaSectionMenu a
-{
-  text-decoration: none;
-}
-
-#pgaSectionMenuSelection
-{
-  background-color: #009ace;
-}
-
-#pgaSectionMenuSelection a
-{
-  color: #ffffff;
-}
-
-.pgaSectionMenuOption
-{
-  background-color: #eeeeee;
-}
-
-.pgaSectionMenuOption a
-{
-  display: block;
-  color: #009ace;
-}
-
-.pgaSectionMenuOption a:visited
-{
-  color: #009ace;
-}
-
-.pgaSectionMenuOption a:hover
-{
-  background-color: #999999;
-  color: #eeeeee;
-}
-
-#pgaContent
-{
-  vertical-align: top;
-  padding-left: 15px;
-  padding-right: 15px;
-}
-
-#pgaSVNContent
-{
-  vertical-align: top;
-  padding-left: 10px;
-  padding-right: 10px;
-  align: center;
 }
 
 #pgaAd
 {
-  text-align: center;
-  vertical-align: top;
-  white-space: nowrap;
-  width: 165px;
   padding-left: 5px;
 }
 
 #pgaFooter
 {
   text-align: left;
-  padding-right: 5px;
-  font-weight: bold;
 }
-
-#pgaFooter a
-{
-  color: #009ace;
-}
-
diff --git a/include/page.php b/include/page.php
index 7889024..d55bfa9 100644
--- a/include/page.php
+++ b/include/page.php
@@ -7,7 +7,7 @@ require $_SERVER['DOCUMENT_ROOT'] . "/include/lastmod.php";
 function www_current_menu_section($SECTION)
 {
   if (dirname($_SERVER['SCRIPT_NAME']) == $SECTION || dirname($_SERVER['SCRIPT_NAME']) . "/" == $SECTION)
-    return " id=\"pgaMainMenuSelection\"";
+    return " class=\"pgaMainMenuOption pgaMainMenuSelection\"";
   else
     return " class=\"pgaMainMenuOption\"";
 }
@@ -48,6 +48,7 @@ function www_page($PAGE_TITLE, $PAGE_CONTENT, $HAS_MENU = true, $lastmod = 0)
 <meta name="Description" content="pgAdmin is the leading graphical Open Source management, development and administration tool for PostgreSQL, running on Windows, Linux, Solaris, FreeBSD and Mac OSX" />
 <meta name="Keywords" content="postgresql,postgres,pgsql,psql,postgre,pginstaller,pervasive postgres,enterprisedb,mammoth,powergres,pgadmin,pgadmin iii, pgadmin ii,pgadmin3,pgadmin2,windows,linux,solaris,mac osx,freebsd,administration,managment,tools" />
 <meta http-equiv="content-type" content="application/xhtml+xml; charset=UTF-8" />
+<link rel="stylesheet" type="text/css" href="/css/pgadmin-base.css" title="pgAdmin.org" />
 <link rel="stylesheet" type="text/css" href="/css/' . $css . '" title="pgAdmin.org" />
 <title>' . $PAGE_TITLE . '</title>
 </head>
@@ -121,19 +122,16 @@ function www_page($PAGE_TITLE, $PAGE_CONTENT, $HAS_MENU = true, $lastmod = 0)
 
 </td>
 </tr><tr>
-<td colspan="2" id="pgaMainMenu">
-
-<div' . www_current_menu_section("/") . '>
-&nbsp;<a href="/index.php">' . _("Home") . '</a>&nbsp;</div>&nbsp;&middot;&nbsp;<div' . www_current_menu_section("/advocacy/") . '>
-<a href="/advocacy/" >' . _("Advocacy") . '</a>&nbsp;</div>&nbsp;&middot;&nbsp;<div' . www_current_menu_section("/development/") . '>
-<a href="/development/">' . _("Development") . '</a>&nbsp;</div>&nbsp;&middot;&nbsp;<div' . www_current_menu_section("/docs/") . '>
-<a href="/docs/">' . _("Documentation") . '</a>&nbsp;</div>&nbsp;&middot;&nbsp;<div' . www_current_menu_section("/download/") . '>
-<a href="/download/">' . _("Download") . '</a>&nbsp;</div>&nbsp;&middot;&nbsp;<div' . www_current_menu_section("/screenshots/") . '>
-<a href="/screenshots/">' . _("Screenshots") . '</a>&nbsp;</div>&nbsp;&middot;&nbsp;<div' . www_current_menu_section("/support/") . '>
-<a href="/support/">' . _("Support") . '</a>&nbsp;</div>&nbsp;&middot;&nbsp;<div' . www_current_menu_section("/translation/") . '>
-<a href="/translation/">' . _("Translation") . '</a>&nbsp;</div>
-
-</td>
+<td colspan="2" id="pgaMainMenu">' .
+'<a' . www_current_menu_section("/") . ' href="/index.php">' . _("Home") . '</a>' .
+'<a' . www_current_menu_section("/advocacy/") . ' href="/advocacy/" >' . _("Advocacy") . '</a>' .
+'<a' . www_current_menu_section("/development/") . ' href="/development/">' . _("Development") . '</a>' .
+'<a' . www_current_menu_section("/docs/") . ' href="/docs/">' . _("Documentation") . '</a>' .
+'<a' . www_current_menu_section("/download/") . ' href="/download/">' . _("Download") . '</a>' .
+'<a' . www_current_menu_section("/screenshots/") . ' href="/screenshots/">' . _("Screenshots") . '</a>' .
+'<a' . www_current_menu_section("/support/") . ' href="/support/">' . _("Support") . '</a>' .
+'<a' . www_current_menu_section("/translation/") . ' href="/translation/">' . _("Translation") . '</a>' .
+'</td>
 </tr>
 </table>
 
diff --git a/screenshots/index.php b/screenshots/index.php
index 4514fdd..3999fae 100644
--- a/screenshots/index.php
+++ b/screenshots/index.php
@@ -13,20 +13,30 @@ $PAGE_CONTENT = '
 
 <p>' . _("We provide source and binary packages for FreeBSD, Linux, Mac OSX and Microsoft Windows &trade;. Solaris binaries may also be compiled from the source code.") . '</p>
 
+<div class="pgaScreenShotBox">
 <h2>' . _("FreeBSD") . '</h2>
-<center><a href="/images/screenshots/pgadmin3_freebsd.png" target="_Shot"><img src="/images/screenshots/pgadmin3_freebsd.png" alt="' . _("pgAdmin running on FreeBSD") . '" width="254" height="170" /></a></center>
+<a href="/images/screenshots/pgadmin3_freebsd.png" target="_Shot"><img src="/images/screenshots/pgadmin3_freebsd.png" alt="' . _("pgAdmin running on FreeBSD") . '" width="254" height="170" /></a>
+</div>
 
+<div class="pgaScreenShotBox">
 <h2>' . _("Linux") . '</h2>
-<center><a href="/images/screenshots/pgadmin3_linux.png" target="_Shot"><img src="/images/screenshots/pgadmin3_linux.png" alt="' . _("pgAdmin running on Linux") . '" width="200" height="213" /></a></center>
+<a href="/images/screenshots/pgadmin3_linux.png" target="_Shot"><img src="/images/screenshots/pgadmin3_linux.png" alt="' . _("pgAdmin running on Linux") . '" width="200" height="213" /></a>
+</div>
 
+<div class="pgaScreenShotBox">
 <h2>' . _("Mac OSX") . '</h2>
-<center><a href="/images/screenshots/pgadmin3_macosx.png" target="_Shot"><img src="/images/screenshots/pgadmin3_macosx.png" alt="' . _("pgAdmin running on Mac OSX") . '" width="256" height="192" /></a></center>
+<a href="/images/screenshots/pgadmin3_macosx.png" target="_Shot"><img src="/images/screenshots/pgadmin3_macosx.png" alt="' . _("pgAdmin running on Mac OSX") . '" width="256" height="192" /></a>
+</div>
 
+<div class="pgaScreenShotBox">
 <h2>' . _("Solaris") . '</h2>
-<center><a href="/images/screenshots/pgadmin3_solaris.png" target="_Shot"><img src="/images/screenshots/pgadmin3_solaris.png" alt="' . _("pgAdmin running on Solaris") . '" width="200" height="150" /></a></center>
+<a href="/images/screenshots/pgadmin3_solaris.png" target="_Shot"><img src="/images/screenshots/pgadmin3_solaris.png" alt="' . _("pgAdmin running on Solaris") . '" width="200" height="150" /></a>
+</div>
 
+<div class="pgaScreenShotBox">
 <h2>' . _("Windows &trade;") . '</h2>
-<center><a href="/images/screenshots/pgadmin3_win32.png" target="_Shot"><img src="/images/screenshots/pgadmin3_win32.png" alt="' . _("pgAdmin running on Windows") . '" width="253" height="208" /></a></center>
+<a href="/images/screenshots/pgadmin3_win32.png" target="_Shot"><img src="/images/screenshots/pgadmin3_win32.png" alt="' . _("pgAdmin running on Windows") . '" width="253" height="208" /></a>
+</div>
 
 '; 
 
diff --git a/screenshots/menu.php b/screenshots/menu.php
index 7cd7371..1070092 100644
--- a/screenshots/menu.php
+++ b/screenshots/menu.php
@@ -9,7 +9,7 @@ function www_menu()
 <div' . www_current_menu_page("documentation.php") . '><a href="documentation.php">&rsaquo; ' . _("Documentation") . '</a></div>
 <div' . www_current_menu_page("mb_i18n.php") . '><a href="mb_i18n.php">&rsaquo; ' . _("Multibyte &amp; i18n") . '</a></div>
 <div' . www_current_menu_page("serverstatus.php") . '><a href="serverstatus.php">&rsaquo; ' . _("Server status") . '</a></div>
-<div' . www_current_menu_page("xgl.php") . '><a href="xgl.php">&rsaquo; ' . _("Suse 10 XGL") . '</a></div>
+<!-- <div' . www_current_menu_page("xgl.php") . '><a href="xgl.php">&rsaquo; ' . _("Suse 10 XGL") . '</a></div> -->
 ';
 
   return $output;
